Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.6
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.antlr.java
[Java] Class JavaLexer

    java.lang.Object
      antlr.CharScanner
          org.codehaus.groovy.antlr.java.JavaLexer

All Implemented Interfaces:
  JavaTokenTypes, TokenStream

    public class JavaLexer
    extends CharScanner

Field Summary
`protected static int` | `SCS_LIMIT`
`protected static int` | `SCS_LIT`
`protected static int` | `SCS_RE_TYPE`
`protected static int` | `SCS_SQ_TYPE`
`protected static int` | `SCS_TQ_TYPE`
`protected static int` | `SCS_TYPE`
`protected static int` | `SCS_VAL`
`static BitSet` | `_tokenSet_0`
`static BitSet` | `_tokenSet_1`
`static BitSet` | `_tokenSet_2`
`static BitSet` | `_tokenSet_3`
`static BitSet` | `_tokenSet_4`
`protected int` | `lastSigTokenType`
`protected JavaRecognizer` | `parser`
`protected int` | `stringCtorState`

Fields inherited from class CharScanner
EOF_CHAR

Constructor Summary
`JavaLexer(InputStream in)`
`JavaLexer(Reader in)`
`JavaLexer(InputBuffer ib)`
`JavaLexer(LexerSharedInputState state)`

Method Summary
`void` | `enableAssert(boolean shouldEnable)` Enable the "assert" keyword
`void` | `enableEnum(boolean shouldEnable)` Enable the "enum" keyword
`boolean` | `isAssertEnabled()` Query the "assert" keyword state
`boolean` | `isEnumEnabled()` Query the "enum" keyword state
`void` | `mASSIGN(boolean _createToken)`
`void` | `mAT(boolean _createToken)`
`void` | `mBAND(boolean _createToken)`
`void` | `mBAND_ASSIGN(boolean _createToken)`
`void` | `mBNOT(boolean _createToken)`
`void` | `mBOR(boolean _createToken)`
`void` | `mBOR_ASSIGN(boolean _createToken)`
`void` | `mBSR(boolean _createToken)`
`void` | `mBSR_ASSIGN(boolean _createToken)`
`void` | `mBXOR(boolean _createToken)`
`void` | `mBXOR_ASSIGN(boolean _createToken)`
`void` | `mCHAR_LITERAL(boolean _createToken)`
`void` | `mCOLON(boolean _createToken)`
`void` | `mCOMMA(boolean _createToken)`
`void` | `mDEC(boolean _createToken)`
`void` | `mDIV(boolean _createToken)`
`void` | `mDIV_ASSIGN(boolean _createToken)`
`void` | `mEQUAL(boolean _createToken)`
`protected void` | `mESC(boolean _createToken)`
`protected void` | `mEXPONENT(boolean _createToken)`
`protected void` | `mFLOAT_SUFFIX(boolean _createToken)`
`void` | `mGE(boolean _createToken)`
`void` | `mGT(boolean _createToken)`
`protected void` | `mHEX_DIGIT(boolean _createToken)`
`void` | `mIDENT(boolean _createToken)`
`void` | `mINC(boolean _createToken)`
`void` | `mLAND(boolean _createToken)`
`void` | `mLBRACK(boolean _createToken)`
`void` | `mLCURLY(boolean _createToken)`
`void` | `mLE(boolean _createToken)`
`void` | `mLNOT(boolean _createToken)`
`void` | `mLOR(boolean _createToken)`
`void` | `mLPAREN(boolean _createToken)`
`void` | `mLT(boolean _createToken)`
`void` | `mMINUS(boolean _createToken)`
`void` | `mMINUS_ASSIGN(boolean _createToken)`
`void` | `mML_COMMENT(boolean _createToken)`
`void` | `mMOD(boolean _createToken)`
`void` | `mMOD_ASSIGN(boolean _createToken)`
`void` | `mNOT_EQUAL(boolean _createToken)`
`void` | `mNUM_INT(boolean _createToken)`
`void` | `mPLUS(boolean _createToken)`
`void` | `mPLUS_ASSIGN(boolean _createToken)`
`void` | `mQUESTION(boolean _createToken)`
`void` | `mRBRACK(boolean _createToken)`
`void` | `mRCURLY(boolean _createToken)`
`void` | `mRPAREN(boolean _createToken)`
`void` | `mSEMI(boolean _createToken)`
`void` | `mSL(boolean _createToken)`
`void` | `mSL_ASSIGN(boolean _createToken)`
`void` | `mSL_COMMENT(boolean _createToken)`
`void` | `mSR(boolean _createToken)`
`void` | `mSR_ASSIGN(boolean _createToken)`
`void` | `mSTAR(boolean _createToken)`
`void` | `mSTAR_ASSIGN(boolean _createToken)`
`void` | `mSTRING_LITERAL(boolean _createToken)`
`protected void` | `mVOCAB(boolean _createToken)`
`void` | `mWS(boolean _createToken)`
`Token` | `nextToken()`
`TokenStream` | `plumb()` This is a bit of plumbing which resumes collection of string constructor bodies, after an embedded expression has been parsed.

Methods inherited from class CharScanner
append, append, match, match, match, tab, mark, rewind, toLower, getText, reportError, reportError, setCaseSensitive, setText, setLine, consume, newline, getColumn, getLine, commit, consumeUntil, consumeUntil, getCaseSensitive, getCaseSensitiveLiterals, setColumn, getCommitToPath, getFilename, getInputBuffer, getInputState, setInputState, getTokenObject, LA, matchNot, matchRange, setTabSize, getTabSize, panic, panic, reportWarning, resetText, setCommitToPath, setFilename, setTokenObjectClass, testLiteralsTable, testLiteralsTable, traceIndent, traceIn, traceOut, uponEOF, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll, nextToken

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Field Detail

### SCS_LIMIT

    protected static final int SCS_LIMIT

### SCS_LIT

    protected static final int SCS_LIT

### SCS_RE_TYPE

    protected static final int SCS_RE_TYPE

### SCS_SQ_TYPE

    protected static final int SCS_SQ_TYPE

### SCS_TQ_TYPE

    protected static final int SCS_TQ_TYPE

### SCS_TYPE

    protected static final int SCS_TYPE

### SCS_VAL

    protected static final int SCS_VAL

### _tokenSet_0

    public static final BitSet _tokenSet_0

### _tokenSet_1

    public static final BitSet _tokenSet_1

### _tokenSet_2

    public static final BitSet _tokenSet_2

### _tokenSet_3

    public static final BitSet _tokenSet_3

### _tokenSet_4

    public static final BitSet _tokenSet_4

### lastSigTokenType

    protected int lastSigTokenType

### parser

    protected JavaRecognizer parser

### stringCtorState

    protected int stringCtorState

Constructor Detail

### JavaLexer

    public JavaLexer(InputStream in)

### JavaLexer

    public JavaLexer(Reader in)

### JavaLexer

    public JavaLexer(InputBuffer ib)

### JavaLexer

    public JavaLexer(LexerSharedInputState state)

Method Detail

### enableAssert

    public void enableAssert(boolean shouldEnable)

  Enable the "assert" keyword

### enableEnum

    public void enableEnum(boolean shouldEnable)

  Enable the "enum" keyword

### isAssertEnabled

    public boolean isAssertEnabled()

  Query the "assert" keyword state

### isEnumEnabled

    public boolean isEnumEnabled()

  Query the "enum" keyword state

### mASSIGN

    public final void mASSIGN(boolean _createToken)

### mAT

    public final void mAT(boolean _createToken)

### mBAND

    public final void mBAND(boolean _createToken)

### mBAND_ASSIGN

    public final void mBAND_ASSIGN(boolean _createToken)

### mBNOT

    public final void mBNOT(boolean _createToken)

### mBOR

    public final void mBOR(boolean _createToken)

### mBOR_ASSIGN

    public final void mBOR_ASSIGN(boolean _createToken)

### mBSR

    public final void mBSR(boolean _createToken)

### mBSR_ASSIGN

    public final void mBSR_ASSIGN(boolean _createToken)

### mBXOR

    public final void mBXOR(boolean _createToken)

### mBXOR_ASSIGN

    public final void mBXOR_ASSIGN(boolean _createToken)

### mCHAR_LITERAL

    public final void mCHAR_LITERAL(boolean _createToken)

### mCOLON

    public final void mCOLON(boolean _createToken)

### mCOMMA

    public final void mCOMMA(boolean _createToken)

### mDEC

    public final void mDEC(boolean _createToken)

### mDIV

    public final void mDIV(boolean _createToken)

### mDIV_ASSIGN

    public final void mDIV_ASSIGN(boolean _createToken)

### mEQUAL

    public final void mEQUAL(boolean _createToken)

### mESC

    protected final void mESC(boolean _createToken)

### mEXPONENT

    protected final void mEXPONENT(boolean _createToken)

### mFLOAT_SUFFIX

    protected final void mFLOAT_SUFFIX(boolean _createToken)

### mGE

    public final void mGE(boolean _createToken)

### mGT

    public final void mGT(boolean _createToken)

### mHEX_DIGIT

    protected final void mHEX_DIGIT(boolean _createToken)

### mIDENT

    public final void mIDENT(boolean _createToken)

### mINC

    public final void mINC(boolean _createToken)

### mLAND

    public final void mLAND(boolean _createToken)

### mLBRACK

    public final void mLBRACK(boolean _createToken)

### mLCURLY

    public final void mLCURLY(boolean _createToken)

### mLE

    public final void mLE(boolean _createToken)

### mLNOT

    public final void mLNOT(boolean _createToken)

### mLOR

    public final void mLOR(boolean _createToken)

### mLPAREN

    public final void mLPAREN(boolean _createToken)

### mLT

    public final void mLT(boolean _createToken)

### mMINUS

    public final void mMINUS(boolean _createToken)

### mMINUS_ASSIGN

    public final void mMINUS_ASSIGN(boolean _createToken)

### mML_COMMENT

    public final void mML_COMMENT(boolean _createToken)

### mMOD

    public final void mMOD(boolean _createToken)

### mMOD_ASSIGN

    public final void mMOD_ASSIGN(boolean _createToken)

### mNOT_EQUAL

    public final void mNOT_EQUAL(boolean _createToken)

### mNUM_INT

    public final void mNUM_INT(boolean _createToken)

### mPLUS

    public final void mPLUS(boolean _createToken)

### mPLUS_ASSIGN

    public final void mPLUS_ASSIGN(boolean _createToken)

### mQUESTION

    public final void mQUESTION(boolean _createToken)

### mRBRACK

    public final void mRBRACK(boolean _createToken)

### mRCURLY

    public final void mRCURLY(boolean _createToken)

### mRPAREN

    public final void mRPAREN(boolean _createToken)

### mSEMI

    public final void mSEMI(boolean _createToken)

### mSL

    public final void mSL(boolean _createToken)

### mSL_ASSIGN

    public final void mSL_ASSIGN(boolean _createToken)

### mSL_COMMENT

    public final void mSL_COMMENT(boolean _createToken)

### mSR

    public final void mSR(boolean _createToken)

### mSR_ASSIGN

    public final void mSR_ASSIGN(boolean _createToken)

### mSTAR

    public final void mSTAR(boolean _createToken)

### mSTAR_ASSIGN

    public final void mSTAR_ASSIGN(boolean _createToken)

### mSTRING_LITERAL

    public final void mSTRING_LITERAL(boolean _createToken)

### mVOCAB

    protected final void mVOCAB(boolean _createToken)

### mWS

    public final void mWS(boolean _createToken)

### nextToken

    public Token nextToken()

### plumb

    public TokenStream plumb()

  This is a bit of plumbing which resumes collection of string constructor bodies, after an embedded expression has been parsed. Usage: new JavaRecognizer(new JavaLexer(in).plumb()).

Copyright © 2003-2010 The Codehaus. All rights reserved.